
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "notifiee_api/version"

Gem::Specification.new do |spec|
  spec.name          = "notifiee-ruby"
  spec.version       = NotifieeAPI::VERSION
  spec.authors       = ["Gareth Fuller"]
  spec.email         = ["gareth@notifiee.com"]

  spec.summary       = %q{The Notifiee gem is a lightweight gem for accessing the Notifiee REST web service.}
  spec.description   = %q{The Notifiee gem allows Ruby developers to programmatically send notifications to team members (via multiple channels like Email, SMS, Telegram, Slack, Messenger, and Twitter DMs) through the Notifiee web service. The API is implemented as JSON over HTTP.}
  spec.homepage      = "https://github.com/Notifiee/notifiee-ruby.git"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "webmock", "~> 2.3"

  spec.add_dependency "json"
end
